# IAX2IeList Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeList:

[legend]
Collaboration diagram for IAX2IeList:
[legend]

## Public Member Functions

| ~IAX2IeList ()
IAX2Ie * | RemoveIeAt (PINDEX i)
IAX2Ie * | RemoveLastIe ()
void | Initialise ()
void | DeleteAt (PINDEX idex)
PBoolean | Empty () const
PBoolean | IsEmpty () const
void | AppendIe (IAX2Ie *newMember)
int | GetBinaryDataSize () const
IAX2Ie * | GetIeAt (int i) const

## Detailed Description

An array of IE* elements are stored in this list

## Constructor & Destructor Documentation

IAX2IeList::~IAX2IeList | ( |  | ) |

Destructor, so all eleents are destroyed on destruction

## Member Function Documentation

void IAX2IeList::AppendIe | ( | IAX2Ie * | newMember | ) | `[inline]`

Add a new IAX2Ie to the list

void IAX2IeList::DeleteAt | ( | PINDEX | idex | ) |

Delete item at a particular index

PBoolean IAX2IeList::Empty | ( |  | ) | const`[inline]`

Test to see if list is empty - returns true if no elements stored in this list

int IAX2IeList::GetBinaryDataSize | ( |  | ) | const

Get the number of bytes to store all these IAX2Ie's in a network packet

IAX2Ie* IAX2IeList::GetIeAt | ( | int | i | ) | const

Get a pointer to the IAX2Ie which is stored at index i

void IAX2IeList::Initialise | ( |  | ) | `[inline]`

Initialisation - Objects are not automatically deleted on removal

PBoolean IAX2IeList::IsEmpty | ( |  | ) | const`[inline]`

Test to see if list is empty - returns true if no elements stored in this list

IAX2Ie* IAX2IeList::RemoveIeAt | ( | PINDEX | i | ) |

Access method, get pointer to information element at index. Returns NULL if index is out of bounds. This will remove the specified IAX2Ie from the list.

IAX2Ie* IAX2IeList::RemoveLastIe | ( |  | ) |

Access method, get pointer to last information element in the list. Returns NULL if index is out of bounds. This will remove the specified IAX2Ie from the list.

The documentation for this class was generated from the following file:

- ies.h